version: '3.3'

services:
  uptime-kuma:
    image: louislam/uptime-kuma:latest
    container_name: uptime-kuma
    networks:
      - traefik
    volumes:
      - /srv/kuma:/app/data
    ports:
      - 3001:3001
    restart: unless-stopped
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.kuma.entrypoints=websecure"
      - "traefik.http.routers.kuma.rule=Host(`kuma.$DOMAIN_NAME`)"
      - "traefik.http.routers.kuma.tls.certresolver=letsencr"
      - "traefik.http.services.kuma.loadbalancer.server.port=3001"
networks:
  traefik:
    external: true

